> ## Documentation Index
> Fetch the complete documentation index at: https://gns3util.saygex.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Download file with public token

> Downloads a file using a public access token (no authentication required)



## OpenAPI

````yaml /api-reference/gns3util-filestore-api-docs.json get /public/{bucket_id}/{token}
openapi: 3.0.0
info:
  description: API for gns3util distributed file storage
  title: gns3util cluster filestore API
  contact: {}
  version: '1.0'
servers: []
security: []
paths:
  /public/{bucket_id}/{token}:
    get:
      tags:
        - public
      summary: Download file with public token
      description: >-
        Downloads a file using a public access token (no authentication
        required)
      parameters:
        - description: Public access token
          name: bucket_id
          in: path
          required: true
          schema:
            type: string
        - description: File UUID
          name: token
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/octet-stream:
              schema:
                type: string
                format: binary
        '206':
          description: Partial Content
          content:
            application/octet-stream:
              schema:
                type: string
                format: binary
        '400':
          description: Bad Request
          content:
            application/octet-stream:
              schema:
                $ref: '#/components/schemas/helpers.APIErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/octet-stream:
              schema:
                $ref: '#/components/schemas/helpers.APIErrorResponse'
        '404':
          description: Not Found
          content:
            application/octet-stream:
              schema:
                $ref: '#/components/schemas/helpers.APIErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/octet-stream:
              schema:
                $ref: '#/components/schemas/helpers.APIErrorResponse'
components:
  schemas:
    helpers.APIErrorResponse:
      type: object
      properties:
        code:
          type: string
          example: unauthorized
        details:
          type: string
          example: invalid or missing join token
        error:
          type: string
          example: Unauthorized

````